//
//	exposures: list all exposures of all instruments in the current ODF
//
#include <iostream>

#include "OalServer.h"
#include "Xmm.h"

int main()
{
	const Odf *odf = oalServer.odf();
	for (unsigned i=0; i<xmmPayLoad.instruments().size(); ++i) {
		XmmInstrument *ins = xmmPayLoad.instruments()[i];

		if (ins->id() == Xmm::ERM)
		continue;

		oalServer.instrument(ins->id());
		for (unsigned modeId=0; modeId<Xmm::N_DATA_MODES; ++modeId) {
			oalServer.dataMode(Xmm::DataMode(modeId));
			unsigned N = odf->exposures();
			if (!N)
				continue;

			cout<<"Exposures of "<<Xmm::toString(ins->id())<<" in data mode: "
				<<Xmm::DataMode(modeId)<<": "<<N<<endl;

			for (unsigned n=0; n<N; ++n) {
				cout<<"Exposure "<<n+1<<':'<<endl;
				oalServer.exposureIndex(n+1);
				const OdfSet *odfSet = odf->selectSet();
				cout<<"  First set               : "<<odfSet->name()<<endl;
				cout<<"  Associated auxiliary set: ";
				if (odf->hasSet(Xmm::AUXILIARY))
					cout<<odf->selectSet(Xmm::AUXILIARY)->name();
				else
					cout<<"*none*";
				cout<<endl;
				cout<<"  Associated PHK set      : ";
				if (odf->hasSet(Xmm::PERIODIC_HOUSEKEEPING))
					cout<<odf->selectSet(Xmm::PERIODIC_HOUSEKEEPING)->name();
				else
					cout<<"*none*";
				cout<<endl;
			}
			cout<<endl;
		}
	}
}
